public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/tcc/
Date: Fri,  3 Mar 2023 19:46:57 +0000 (UTC)	[thread overview]
Message-ID: <1677872802.1d2a55131eb4ebb5e1f3703b9f9b99cf528287f5.dlan@gentoo> (raw)

commit:     1d2a55131eb4ebb5e1f3703b9f9b99cf528287f5
Author:     Nickolas Raymond Kaczynski <nrk <AT> disroot <DOT> org>
AuthorDate: Sat Feb 25 16:28:55 2023 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Fri Mar  3 19:46:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d2a5513

dev-lang/tcc: add 20230223 snapshot

Closes: https://github.com/gentoo/gentoo/pull/29788
Signed-off-by: Nickolas Raymond Kaczynski <nrk <AT> disroot.org>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-lang/tcc/Manifest                    |  1 +
 dev-lang/tcc/tcc-0.9.27_p20230223.ebuild | 88 ++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-lang/tcc/Manifest b/dev-lang/tcc/Manifest
index 67b6967077d6..5d342ed19601 100644
--- a/dev-lang/tcc/Manifest
+++ b/dev-lang/tcc/Manifest
@@ -1 +1,2 @@
 DIST tcc-0.9.27_p20211022.tar.gz 893631 BLAKE2B f1a82498db65a9944f04a6c35897db6ceeea0e5d14ac383acc6b334fb2aa921a0e7b4badf647c101d064ceae1ee8d79ab91674a2d0faa2899b831a57e6148174 SHA512 5f40a0d31d63e876d1fb233758d9f58be2f14807bbc0847b7df3eb6bb8df0946100b58edb5a29caea8770201d02275daf0a3ca7668141151e931204ad7100fb3
+DIST tcc-0.9.27_p20230223.tar.gz 944179 BLAKE2B a8f77baf53846987f15a9005e100f109458e89805f0a6c7daafa55f8c22e0b47ca034cd8332839ef2a9e5840baa963e8a9185aa7fe4640ff89e5225f5be201b1 SHA512 335e40229572fa2dad82485d357349e26f4c999ea6622d3d3caa4b8eef357b2c5b56f76565e98073e57691b9adc919ded88ff015f9a95a86ce453392938b42f4

diff --git a/dev-lang/tcc/tcc-0.9.27_p20230223.ebuild b/dev-lang/tcc/tcc-0.9.27_p20230223.ebuild
new file mode 100644
index 000000000000..c2d9231863d2
--- /dev/null
+++ b/dev-lang/tcc/tcc-0.9.27_p20230223.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_COMMIT="29ae3ed4d5b83eec43598d6cd7949bccb41c8083"
+DESCRIPTION="A very small C compiler for ix86/amd64"
+HOMEPAGE="https://bellard.org/tcc/ https://repo.or.cz/tinycc.git/"
+
+if [[ ${PV} == *9999* ]]; then
+	EGIT_REPO_URI="https://repo.or.cz/r/tinycc.git"
+	inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+	SRC_URI="https://repo.or.cz/tinycc.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}"/tinycc-29ae3ed
+else
+	SRC_URI="https://download.savannah.gnu.org/releases/tinycc/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+	KEYWORDS="~amd64 ~arm64 ~riscv ~x86 ~amd64-linux"
+fi
+
+BDEPEND="dev-lang/perl" # doc generation
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+	default
+
+	# Don't strip
+	sed -i \
+		-e 's|$(INSTALL) -s|$(INSTALL)|' \
+		-e 's|STRIP_yes = -s|STRIP_yes =|' \
+		Makefile || die
+
+	# Fix examples
+	sed -i -e '1{
+		i#! /usr/bin/tcc -run
+		/^#!/d
+	}' examples/ex*.c || die
+	sed -i -e '1s/$/ -lX11/' examples/ex4.c || die
+
+	# bug 888115
+	sed -i -e "s|/usr/local/bin/tcc|/usr/bin/tcc|g" tcc-doc.texi || die
+
+	# Fix texi2html invocation
+	sed -i -e 's/-number//' Makefile || die
+	sed -i -e 's/--sections//' Makefile || die
+}
+
+src_configure() {
+	local libc
+
+	use test && unset CFLAGS LDFLAGS # Tests run with CC=tcc etc, they will fail hard otherwise
+					# better fixes welcome, it feels wrong to hack the env like this
+
+	use elibc_musl && libc=musl
+
+	# not autotools, so call configure directly
+	./configure --cc="$(tc-getCC)" \
+		${libc:+--config-${libc}} \
+		--prefix="${EPREFIX}/usr" \
+		--libdir="${EPREFIX}/usr/$(get_libdir)" \
+		--docdir="${EPREFIX}/usr/share/doc/${PF}"
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+	# this is using tcc bits that don't know as-needed etc.
+	TCCFLAGS="" emake test
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	dodoc Changelog README TODO VERSION
+	#dohtml tcc-doc.html
+	exeinto /usr/share/doc/${PF}/examples
+	doexe examples/ex*.c
+}


             reply	other threads:[~2023-03-03 19:47 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-03 19:46 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-17  8:42 [gentoo-commits] repo/gentoo:master commit in: dev-lang/tcc/ Sam James
2023-01-07 11:30 Arthur Zamarin
2023-01-04  0:28 Yixun Lan
2022-02-07  8:56 Yixun Lan
2022-02-07  8:56 Yixun Lan
2022-02-07  8:56 Yixun Lan
2021-10-25 13:01 Sam James
2021-10-25 13:01 Sam James
2021-10-25 12:38 Sam James
2021-10-25 12:35 Sam James
2020-02-14 22:40 Yixun Lan
2020-02-14 22:40 Yixun Lan
2019-04-11  4:10 Yixun Lan
2019-04-11  4:10 Yixun Lan
2019-04-09  3:14 Austin English
2018-05-13 19:20 Aaron Bauman
2017-12-18 21:11 Austin English
2017-12-18 21:11 Austin English
2016-06-02  4:40 Austin English

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1677872802.1d2a55131eb4ebb5e1f3703b9f9b99cf528287f5.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox